2007-10-24  Jan Nieuwenhuizen  <janneke@gnu.org>

	* Discontinued for now.  Generate from git log.

2007-10-22  Jan Nieuwenhuizen  <janneke@gnu.org>

	* source/awt/vclxsplitter.hxx:
	* source/awt/vclxtabcontrol.hxx:
	* source/core/bin.cxx:
	* source/core/bin.hxx:
	* source/core/box.cxx:
	* source/core/box.hxx:
	* source/core/container.hxx:
	* source/core/flow.cxx:
	* source/core/flow.hxx:
	* source/core/table.hxx (getHeightForWidth): Use sal_Int32 instead of
	LONG.  Fixes compile on x86_64.

	* source/awt/vclxsplitter.cxx: 
	* source/awt/vclxscroller.cxx: 
	* source/awt/vclxdialog.cxx: Use %d, as INT is used here,
	not LONG.  Fixes compile warnings on x86_64.

	* workben/refresh: FIXME: filter-out flood of

	    class <> has virtual functions but non-virtual destructor

	  for now, to make other messages visible.

	* Resolve conflicts.

2007-10-19  Jan Nieuwenhuizen  <janneke@gnu.org>

	* workben/test.cxx (MyApp::Main): Display usage () upon -h, --help.

	* workben/refresh: Append "$@" so that refresh --inst FOO works.

	* README: New file.

	* workben/refresh: Softcode outdir.  Fixes running on x86_64.

	* workben/makefile.mk (APP1STDLIBS): Softcode layout library name.
	Fixes linking on x86_64.

	* workben/zoom.cxx: Another <c..> include.  Fixes compiling test
	on x86_64.

2007-10-18  Jan Nieuwenhuizen  <janneke@gnu.org>	 
							 
	* .gitignore: Ingore x86_64 output dir too.	 
							 
	* source/wrapper/wimpl.hxx: 			 
	* source/core/timeout.cxx: 			 	
	* source/core/deck.cxx: 			 
	* source/core/byteseq.cxx: 			 
	* source/core/bin.cxx: Add some <c..> includes.	 
							 
2007-10-22  Jan Nieuwenhuizen  <janneke@gnu.org>

	* Remove two empty files.

	* Deleted      workben/editor_pre
	* Deleted      workben/output

	* Incorporate http://www.alunos.dcc.fc.up.pt/~c0607045/trash/openoffice/layout.tgz

	* Modified     source/core/box.cxx
	* Modified     source/core/table.cxx
	* Modified     source/wrapper/wcontainer.cxx
	* Modified     workben/editor.cxx
	* Modified     workben/flow.xml
	* Added        cenarios
	* Added        source/Documento por Gravar 1
	* Added        source/api/com/sun/star/awt/XLayoutFlow.idl
	* Added        source/api/com/sun/star/awt/XLayoutFlowContainer.idl
	* Added        source/awt/non-interactable-containers.xml
	* Added        source/awt/vclxfactory.cxx
	* Added        source/awt/vclxfiledialog.cxx
	* Added        source/awt/vclxfiledialog.hxx
	* Added        source/awt/vclxline.cxx
	* Added        source/awt/vclxline.hxx
	* Added        source/awt/vclxpane.cxx
	* Added        source/awt/vclxpane.hxx
	* Added        source/awt/vclxradiobutton.cxx
	* Added        source/awt/vclxradiobutton.hxx
	* Added        source/gtk/vclxcommon.cxx
	* Added        source/gtk/vclxcommon.hxx
	* Added        source/gtk/vclxcontainer.cxx
	* Added        source/gtk/vclxcontainer.hxx
	* Added        source/gtk/vclxdialog.cxx
	* Added        source/gtk/vclxdialog.hxx
	* Added        source/gtk/vclxwidget.cxx
	* Added        source/gtk/vclxwidget.hxx
	* Added        workben/adjust.xml
	* Added        workben/editor-normal.xml
	* Added        workben/editor_pre
	* Added        workben/flow-container.xml
	* Added        workben/output
	* Added        workben/test.xml

2007-08-20  Michael Meeks  <michael.meeks@novell.com>

	* source/wrapper/wimpl.hxx (wrapperGone): fix ordering
	issue.

	* workben/editor.cxx (PropertiesList::destruct): bin,
	use virtual destructors.

	* source/core/visualcnt.cxx: set only size, not
	position too.

2007-08-20  Michael Meeks  <michael.meeks@novell.com>

	* merge Ricardo's nice work ...

2007-08-20  Michael Meeks  <michael.meeks@novell.com>

	* source/core/box.cxx (getMinimumSize): calculate size
	correctly wrt. 2x padding.

2007-08-17  Michael Meeks  <michael.meeks@novell.com>

	* source/core/helper.cxx (findAndRemove): rename
	border -> 'has_border' to not conflict with container /
	widget prop of same name.

	* workben/*.xml: rename all border attributes. 

	* source/core/box.hxx: bin bogus mnBorderWidth - use
	the container instead.

	* source/core/helper.cxx: rename 'border' to 
	'has_border' so container borders work.
	(anyFromString): fix type of LONG, add unsigned types &
	re-order into TypeClass.idl sequence.

	* source/awt/vclxbutton.cxx (IconButton): center
	labels, somehow setting a graphic changes the behavior
	of widgets with no align set.

2007-08-16  Michael Meeks  <michael.meeks@novell.com>

	* source/wrapper/wcontainer.cxx (Clear): get condition
	right.

	* source/core/container.cxx (setParent): cope with null
	parents by not throwing.

	* workben/editor.cxx: add Alignment ... and adapt to new
	property code - so we get container properties.

	* source/core/helper.cxx (setProperties): adapt to new
	layoutimpl::prophlp helpers.
	(canHandleProps, queryPropertyInfo, setProperty, getProperty):
	impl.

2007-08-16  Michael Meeks  <michael.meeks@novell.com>

	* source/core/*.cxx: calm down debug.

	* source/core/align.cxx, box.cxx: add PROPHELPER_SET_INFO
	to the child props too ... (doh).

	* source/core/helper.hxx (PROPHELPER_SET_INFO): impl. this
	as a macro, comment it heavily.
	* source/core/container.hxx, box.hxx, align.hxx, bin.hxx: add
	the macro back cf. 2007-06-07 ...

	* source/core/import.cxx, source/wrapper/wimpl.hxx: calm the
	churning debug problem down: finally can see the important
	messages.

	* workben/editor.cxx (EditorDialog): add 'maDelete' member &
	rename 'engine->mpEngine'

	* source/awt/vclxbutton.cxx (IconButton, VCLXCancelButton),
	(VCLXHelpButton): impl.

	* source/core/import.cxx (handleCornerCases): bin.

2007-08-16  Michael Meeks  <michael.meeks@novell.com>

	* source/awt/vclxproxy.cxx (queryInterface): fixup.

	* source/awt/vclxbutton.cxx: impl OKButton stub.

	* source/awt/vclxproxy.cxx: gut-wrenching manual cut/paste
	proxy creation: urgh.

	* source/core/import.cxx (handleCornerCases): bin okbutton
	corner case.

2007-08-15  Michael Meeks  <michael.meeks@novell.com>

	* source/core/helper.cxx (setProperties): add debug for
	dropped properties.

	* source/core/container.cxx (queryInterface, acquire,
	release): unwind nightmarish UNO lifecycle evil: not
	implementing acquire/release is a spectacularly bad
	idea: trashed memory gets accessed by the next queryinterface.

2007-08-15  Michael Meeks  <michael.meeks@novell.com>

	* source/wrapper/wrapper.cxx (GetPeer): bin debug.
	(Clear): impl. for Ricardo.

	* workben/editor.cxx (naturalSize): impl. and call post
	construction, so we size to the total size with the added
	widgets.

	* source/core/root.hxx: remember to declare we impl.
	XLayoutConstrains.

	* workben/editor.cxx (getDepth, makeListEntryName): impl.
	& cleanup code.

	* workben/editor.hxx (class EditorEngine): bin maIdentList.

2007-08-15  Michael Meeks  <michael.meeks@novell.com>

	* workben/editor.cxx (PropertyEntry): show the
	widgets post construction: now appears to work
	as nicely, if not better than before.

	* source/wrapper/wcontainer.cxx (Container): add
	warning if no peer to associate with is found.
	(Container): actually assign mxContainer.

	* source/wrapper/wbutton.cxx (SetImageAlign): impl.
	SetImageAlign, and use it to align-left the images.

	* workben/test.cxx (InitUCB): enable this.
	(Main): set more magic environment variables: 'magic'!

2007-08-14  Michael Meeks  <michael.meeks@novell.com>

	* workben/test.cxx: attempt to defeat stupid configmgr
	bootstrapping evilness.

	* workben/test.cxx (UnoBootstrapSucks): log component
	instantiations, and exception text - caught config mgr.
	not being happy.

	* source/inc/layoutcore.hxx: impl. - a header for
	sharing code from core -> wrapper.

	* source/wrapper/wbutton.cxx (ImageImpl): impl.
	and add SetImageMode method.

	* source/core/helper.cxx (loadGraphic): impl.

	* inc/layout/layout.hxx: add lstbox.h for
	LISTBOX_ENTRY_NOT_FOUND & fix editor with this.

	* source/core/helper.cxx (createWidget): merge
	conflicts.

2007-08-09  Michael Meeks  <michael.meeks@novell.com>

	* source/awt/vclxtabcontrol.?xx, source/awt/makefile.mk,
	* utils/makefile.mk: import TabControl.

	* source/core/*.cxx: put in 'layoutimpl' namespace.

	* source/core/import.cxx (WidgetElement): handle
	corner cases again.

2007-08-09  Michael Meeks  <michael.meeks@novell.com>

	* doc/stats.ods: statistics on widget impl. & attribute
	priorities.

	* source/core/helper.cxx (createWidget): re-enable
	handleCornerCases.

	* source/core/import.cxx (handleCornerCases):
	un-comment handle-corner-cases.

2007-08-09  Ricardo Cruz  <rpmcruz@alunos.dcc.fc.up.pt>

	* latest work.

2007-07-30  Michael Meeks  <michael.meeks@novell.com>

	* doc/vcl.txt: add notes on how fallback awt peer
	creation happens.

	* doc/awt-props.ods: try to bring some sanity to the
	cut/paste frenzy in the awt properties.

	* source/core/import.cxx (ToplevelElement): switch back
	to the new pseudo-'root' 'XLayoutContainer' approach that
	is cleaner & simpler.

2007-07-30  Michael Meeks  <michael.meeks@novell.com>

	* workben/editor.cxx (createWidget): fix variable naming
	_name -> pName; fix createContainer call signature.

	* source/core/deck.cxx (setVisible): switch to queueRecalc.

	* source/core/root.cxx (getChildren, removeChild): impl.

	* source/core/container.cxx (getSingleChild): impl.
	helper & upd. callers.

	* Resolve conflicts with Ricardo.

2007-07-26  Ricardo Cruz  <rpmcruz@alunos.dcc.fc.up.pt>

	* Added SVLXTabControl that offers XWindow and XLayoutContainer
	interfaces for the VCL TabControl.
	But its allocateSize() isn't being called (though sometimes it
	is), so multi tabs are broken.
    
	* Touched a bit XLayoutContainer interface: added getChildren()
	and removeChildren(). And got rid of clearChildren().
	SPECIFICATION: setParent() must be called on child when added
	or removed to a container -- in case child implements XChild
	-- pass null to remove.
    
2007-07-25  Michael Meeks  <michael.meeks@novell.com>

	* notes.txt, doc/metricfield.txt, doc/oldnotes.txt:
	move some of my cruft out of notes.txt

	* source/core/root.cxx: made LayoutRoot implement
	XLayoutConstrains and XLayoutContainer (a simple bin).

	* source/core/timeout.cxx: do idle sizing via the
	toplevel.

	* source/core/import.cxx (~ToplevelElement): simplify
	toplevel sizing. Tie LayoutRoot to the toplevel window:
	ok for now.

2007-07-25  Michael Meeks  <michael.meeks@novell.com>

	* workben/zoom.xml: update variously.

	* source/core/timeout.cxx: add evil hack using VCL
	idle handler to layout idly (not that we do re-layout
	yet).

	* source/core/container.cxx (allocateChildAt): calm
	down debug spew.

	* source/wrapper: move fields pieces from wrapper.cxx
	to 'wfields.cxx'.

	* NB. The code now depends on recent toolkit/ changes in
	HEAD ooo-build.

2007-07-13  Michael Meeks  <michael.meeks@novell.com>

	* source/wrapper/*.cxx: propagate a Context* pointer
	through to all wrapper instances; ready to implement
	OKButton / CancelButton etc.

	* source/wrapper/wbutton.cxx: split from
	* source/wrapper/wrapper.cxx: here.

	* source/core/import.cxx (handleCornerCases): impl.
	and call - the ok/help/cancel buttons are -so- lame in
	awt, we need to emulate them in the wrapper.

2007-07-12  Michael Meeks  <michael.meeks@novell.com>

	* source/wrapper/wrapper.cxx (GetPeerHandle): switch
	to just 1 impl, with an optional nId argument too,
	in case we need it.
	
	* inc/layout/layout.hxx, source/wrapper/impl.hxx,
	* source/wrapper/wrap_container.cxx,
	* source/wrapper/wrapper.cxx: impl. new 'Box'
	container type, also allow explicit widget
	instantiation.

	* workben/editor.cxx: re-work to use a sequence of
	PushButtons instead of create<N> thing.

2007-07-06  Ricardo Cruz  <rpmcruz@alunos.dcc.fc.up.pt>

	* a bunch of stuff touched (in special workben/editor.hxx and cxx):
	Sorry, will try to take better care of the ChangeLog in
	the future...

    Made a first layout editor. Added temporary calls recalc()
    and clearChildren() to the XLayoutContainer interface. :P
    Quite hacky overall; but its already more functional than
    was targetting for the milestone, and will be cleaning it up...
    
    Committed part of koehin's patch: the ListBox wrapper.

2007-06-22  Michael Meeks  <michael.meeks@novell.com>

	* source/wrapper/wrapper.cxx: impl. NumericFormatter -
	we still need MetricField to implement a (mis-named)
	XCurrencyField interface though ...

2007-06-22  Michael Meeks  <michael.meeks@novell.com>

	* source/wrapper/wrapper.cxx (WindowImpl): add
	get/setProperty helpers.
	(PushButton::[Is]Check[ed]): impl.

	* source/core/*: some debug calming action.

	* source/wrapper/wrapper.cxx (::Dialog): get toplevel
	widget correctly.
	(GetPeerHandle): calm debug.

2007-06-21  Michael Meeks  <michael.meeks@novell.com>

	* source/wrapper/wrapper.cxx (Dialog::SetText),

	* source/core/import.cxx (startRootElement): check
	the namespace & allow non-framewindow toplevels.
	(WidgetElement): !pParent -> WindowClass_TOP.

	* workben/zoom.xml: add 'group' attributes, hmm. Not
	working that well for some reaosn.

	* source/wrapper/wrapper.cxx (ButtonImpl::SetClickHdl)
	don't add the action listener until we need to to preserve
	VCL's semantics.

2007-06-20  Ricardo Cruz   <rpmcruz@alunos.dcc.fc.up.pt>

	* source/core/import.h/cxx: added support for radio groups.
	As agreed, a group is specified by an id. So, the xml
	would be:  <radio group="pizza" value="margarita" /> ...

2007-06-20  Michael Meeks  <michael.meeks@novell.com>

	* source/core/import.cxx (WidgetElement): filter out 'id'
	property and add into mrRoot.

	* source/core/helper.cxx (setProperties): remove 'id' bits.

2007-06-20  Michael Meeks  <michael.meeks@novell.com>

	* source/core/byteseq.cxx: add - gross hack, to go later.
	* source/core/root.cxx: upd. to use it.

	* workben/test.cxx: move much of the file reading /
	stream handling evil into the core & initialize via UNO.

	* workben/*: remove LAYOUT_API_TEST conditionals ...

2007-06-20  Michael Meeks  <michael.meeks@novell.com>

	* source/core/root.[ch]xx: start of XLayoutRoot impl.
	
	* source/core/factory.cxx: UNO component registration fun.

	* workben/test.cxx: turn off zoomy bits if
	LAYOUT_API_TEST is not set.

	* source/wrapper/wrapper.cxx: impl. first cut at
	wrapping logic; get a few things in order.

2007-06-19  Michael Meeks  <michael.meeks@novell.com>

	* source/*: move to source/core/*

	* source/wrapper: add.

	* prj/build.lst: upd.

2007-06-19  Michael Meeks  <michael.meeks@novell.com>

	* workben/zoom.[ch]xx: import cut/paste of
	svx/source/dialog/zoom.[ch]xx - hack out svx dependencies
	and port to:

	* inc/layout/layout.hxx: new 'layout' wrapper API

2007-06-08  Michael Meeks  <michael.meeks@novell.com>

	* source/helper.hxx: move ChildProps
	* source/helper.hxx: to here, rename to PropHelper,
	add include guards etc.

	* source/import.?xx: substantial clean up.
	
	* workben/*.xml: switch namespace

2007-06-07  Michael Meeks  <michael.meeks@novell.com>

	* source/container.cxx: remove static singleton setting
	'getPropertSetInfo' method, and make it abstract.
	* source/bin.cxx, source/box.cxx: implement here, so we
	get different SetInfo for each.

	* source/vbox.cxx (convertFastPropertyValue): impl. properly.

	* source/import.cxx (ChildElement::startChildElement): pass
	the right child attributes.
	(addChildWidget): actually set properties on the container's
	child not the widget itself.

2007-06-06  Michael Meeks  <michael.meeks@novell.com>

	* source/makefile.mk,
	* source/import.cxx: rename from newimport.cxx

	* source/newimport.cxx (getPropAsInt): bin, obsolete.
	(addChildWidget): add setProperties call for child props.
	(windowResized): do size request before allocate.

2007-06-06  Michael Meeks  <michael.meeks@novell.com>

	* source/newimport.cxx (getAttributeProps): re-factor & split.
	(findAndRemove): this.

	* source/helper.cxx (setProperties, toUnoNaming, anyFromString): 
	split from newimport.cxx.

	* source/newimport.cxx (~ToplevelElement): add, so we
	show the dialog post sizing.

	* workben/*.xml: remove 'show' attribute on toplevels.

2007-06-06  Michael Meeks  <michael.meeks@novell.com>

	* source/newimport.cxx: add hacks (missing Ricardo's
	hierarchy parsing), to whack all children in 1 hbox.
	We have layout at last.

	* source/vbox.cxx (allocateChildAt): get PosSize flags right.

	* source/newimport.cxx (startRootElement): upd.
	(ResizeListener): impl.

	* source/newimport.hxx (class ToplevelElement): add.

2007-06-05  Michael Meeks  <michael.meeks@novell.com>

	* workben/layout.xml: add nested vbox.
	
	* workben/layout-flat.xml: flat xml
	
	* start a ChangeLog

